---
title: Show DNS Firewall Cluster Reverse DNS
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[DNS Firewall](https://developers.cloudflare.com/api/python/resources/dns_firewall)

[Reverse DNS](https://developers.cloudflare.com/api/python/resources/dns_firewall/subresources/reverse_dns)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Show DNS Firewall Cluster Reverse DNS

dns\_firewall.reverse\_dns.get(strdns\_firewall\_id, ReverseDNSGetParams\*\*kwargs) -> [ReverseDNSGetResponse](<https://developers.cloudflare.com/api/python/resources/dns_firewall#(resource)%20dns_firewall.reverse_dns%20%3E%20(model)%20reverse_dns_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/dns\_firewall/{dns\_firewall\_id}/reverse\_dns

Show reverse DNS configuration (PTR records) for a DNS Firewall cluster

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Firewall Write``DNS Firewall Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20dns_firewall.reverse_dns%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

dns\_firewall\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20dns_firewall.reverse_dns%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20dns_firewall_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ReverseDNSGetResponse: …

</summary>

ptr: Dict\[str, str]

Map of cluster IP addresses to PTR record contents

<a href="#(resource)%20dns_firewall.reverse_dns%20%3E%20(model)%20reverse_dns_get_response%20%3E%20(schema)%20%3E%20(property)%20ptr">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dns_firewall.reverse_dns%20%3E%20(model)%20reverse_dns_get_response%20%3E%20(schema)>)

### Show DNS Firewall Cluster Reverse DNS

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
reverse_dns = client.dns_firewall.reverse_dns.get(
    dns_firewall_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(reverse_dns.ptr)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ptr": {
      "foo": "string"
    }
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "ptr": {
      "foo": "string"
    }
  }
}
```